Album: Chilled Processor
Artists:
- tempest2k
Date: September 10, 2017
Date Added: April 12, 2021
URLs:
- https://nuclear333.bandcamp.com/track/chilled-processor
Cover Artists:
- tempest2k
Cover Art File Extension: png
Color: '#80c9c9'
Groups:
- tempest2k
- Beyond
Commentary: |-
    <i>tempest2k:</i>
    Made this song quite a while ago and wanted to let it into the public.
---
Track: Chilled Processor
Duration: 1:30
URLs:
- https://nuclear333.bandcamp.com/track/chilled-processor
